function fibriprogram_v5_X(ip1)
% fibriprogram <i/p file>
% This version evaluates for any number of peaks.
% The input file reads in
% NCONFIG
% NSUCCLIMIT
% NTRIALS
% SEED
% Temperature Tfactr
% LOWER UPPER :LIMITS OF FIB DIAM
% ngauss
% SCALE FACTRS :INITIAL GUESS
% mu(i), sigma(i) :GAUSS DISTRB
% MUA(i) MUB(I) :CONSTS FOR RAND OF MU1, MU2
% SDA(i) SDB(i) :CONSTS FOR RAND OF SD1, SD2
% FIBRIL_SIZE FREQUENCY :DATA
% LSQCURVEFIT IS MODIFIED TO WORK WITH
% MATLAB R12.1 v6.0

[f1id,message]=fopen(ip1,'r');

if (f1id == -1 )
  disp(message)
  fclose(f1id);
end

% READING VALUES ASSOC WITH PARAMETER
line=fgetl(f1id); line=fgetl(f1id); % NCONFIG
input=sscanf(line,'%f'); nconfig=input(1);

line=fgetl(f1id); line=fgetl(f1id); % NSUCCLIMIT
input=sscanf(line,'%f'); nsucclimit=input(1);

line=fgetl(f1id); line=fgetl(f1id); % NTRIALS
input=sscanf(line,'%f'); ntrials=input(1);

line=fgetl(f1id); line=fgetl(f1id); % SEED
input=sscanf(line,'%f'); seed=input(1);

line=fgetl(f1id); line=fgetl(f1id); % 'Temperature' 'Tfactr'
input=sscanf(line,'%f'); temp=input(1);tfactr=input(2);

line=fgetl(f1id); line=fgetl(f1id); % LOW/UPP LIM OF FIB DIAM
input=sscanf(line,'%f'); limit(1)=input(1); limit(2)=input(2);

line=fgetl(f1id); line=fgetl(f1id); % NO OF GAUSSIAN PEAKS
input=sscanf(line,'%d'); ngauss=input(1);

line=fgetl(f1id);
for i=1:ngauss
  line=fgetl(f1id); %INITIAL, SCALE FACTRS
  input=sscanf(line,'%f'); b0(i)=input(1);
end

line=fgetl(f1id);
for i=1:ngauss
  line=fgetl(f1id); %GAUSS DISTRB mu1, sigma1
  input=sscanf(line,'%f'); mu(i)=input(1); sd(i)=input(2);
end

line=fgetl(f1id);
for i=1:ngauss
  line=fgetl(f1id);  %CONSTS FOR RAND OF MU1, MU2
  input=sscanf(line,'%f'); 
  mua(i)=input(1);mub(i)=input(2);
end
  
line=fgetl(f1id); 
for i=1:ngauss
  line=fgetl(f1id); %CONSTS FOR RAND OF SD1, SD2
  input=sscanf(line,'%f'); 
  sda(i)=input(1);sdb(i)=input(2);
end

% READING DATA
line=fgetl(f1id);
i=1;
while feof(f1id)==0
  line=fgetl(f1id);
  input=sscanf(line,'%f');
  ydata(i)=input(2);
  xdata(i)=input(1);
  i=i+1;
end
close;
nmax=i-1;

chi(1:ntrials)=0.;
time(1:ntrials)=1:ntrials;

[mu,sd,b0,chi]=simulanneal_v5_X...
    (mu,sd,mua,mub,sda,sdb,b0,ngauss,...
    nconfig,nsucclimit,ntrials,...
    temp,tfactr,seed,xdata,ydata,chi);

ysim=gaussiancomposite_v5_X(b0,xdata,mu,sd,ngauss);

subplot(2,1,1);
bar(xdata,ydata), colormap([1 1 1])
hold on;
subplot(2,1,1);
plot(xdata,ysim,'k.','MarkerSize',10)
subplot(2,1,1);
plot(xdata,ysim,'k-','LineWidth',2)

axis([0. inf 0. inf]);
set(gca,'PlotBoxAspectRatio',[3 1. 1]);
%set(gca,'PlotBoxAspectRatio',[2 1. 1]);
set(gca,'FontName','times')
set(gca,'FontSize',16)
set(gca,'LineWidth',1.5)
set(gca,'Box','off')
ylabel('Frequency','FontSize',10)
xlabel('Fibril diameter [nm]','FontSize',10)

subplot(2,1,2);
plot(time,chi,'kx','MarkerSize',5)

axis([0. inf 0. inf]);
set(gca,'PlotBoxAspectRatio',[3 1. 1]);
set(gca,'FontName','times')
set(gca,'FontSize',16)
set(gca,'LineWidth',1.5)
set(gca,'Box','off')
ylabel('RESNORM','FontSize',10)
xlabel('NTRIALS','FontSize',10)
hold off;