function [mu,sd,b0,chi]=simulanneal_v5_X(mu,sd,mua,mub,sda,sdb,...
    b0,ngauss,nconfig,nsucclimit,ntrials,t,tfactr,seed,...
    xdata,ydata,chi)
% simulanneal mu sd mua mub sda sdb...
%    b0 ngauss nconfig nsucclimit ntrials t tfactr seed...
%    xdata ydata chi
% In this prog, b(i), b1(i) are scaling variables obtained from
% least square fit.

%INITIATION
for h=1:ngauss
  munew(h)=mu(h); %MU COMPONENT 1
  sdnew(h)=sd(h); %SD COMPONENT 1
end
chisq0=1.e20;

% MATLAB R2010b
%[b,resnorm]=lsqcurvefit...
%   (@(b,xdata) gaussiancomposite_v5_0(mu,sd,b,ngauss,xdata)...
%    ,b0,xdata,ydata);

% MATLAB R12.1 v6 DEMO
opt = optimset('Display','iter','large','off');
P1=mu;P2=sd;P3=ngauss;
[b,resnorm]=lsqcurvefit(@gaussiancomposite_v5_X,b0,xdata,ydata,[],[],opt,P1,P2,P3);

chisq0=resnorm;

for j=1:ntrials
  nsucc=0;k=1; %INITIALISATION
       
  disp(' ');disp(sprintf('*TRIAL NO. = %d' ,j));disp(' ');

  while (nsucc<nsucclimit)|(k<=nconfig),    
    idec=round(rand);
    if (idec==0) %CHANGE THE VALUES OF MU
      for h=1:ngauss  
        mu_(h)=rand*mua(h)+mub(h);  %MU i
      end

% MATLAB R2010b
%      [b1,resnorm]=lsqcurvefit...
%       (@(b1,xdata) gaussiancomposite_v5_0(mu_,sd,b1,ngauss,...
%       xdata),b,xdata,ydata);

% MATLAB R12.1 DEMO VERSION
      opt = optimset('Display','iter','large','off');
      P1=mu;P2=sd;P3=ngauss;
      [b1,resnorm]=lsqcurvefit(@gaussiancomposite_v5_X,b,xdata,ydata,[],[],opt,P1,P2,P3);

      chisqk=resnorm;
      de=chisqk-chisq0; % OBJECTIVE FUNCTION
      ans=metrop_v1(de,t,seed);
      
      if (ans)
        for h=1:ngauss
          mu(h)=mu_(h); 
        end
        b=b1;
        nsucc=nsucc+1;
        chisq0=chisqk;
      end
    else %WHEN idec==1, WE FIND NEW SDs VALUES
      for h=1:ngauss
        sd_(h)=rand*sda(h)+sdb(h);  %SD i
      end
      
      
%      [b1,resnorm]=lsqcurvefit...
%       (@(b1,xdata) gaussiancomposite_v5_0(mu,sd_,b1,ngauss,...
%         xdata),b,xdata,ydata);

% MATLAB R12.1 DEMO VERSION
      opt = optimset('Display','iter','large','off');
      P1=mu;P2=sd_;P3=ngauss;
      [b1,resnorm]=lsqcurvefit(@gaussiancomposite_v5_X,b,xdata,ydata,[],[],opt,P1,P2,P3);

      chisqk=resnorm;
      de=chisqk-chisq0; % OBJECTIVE FUNCTION
      ans=metrop_v1(de,t,seed);

      if (ans)
        for h=1:ngauss
          sd(h)=sd_(h);
        end
        b=b1;
        nsucc=nsucc+1;
        chisq0=chisqk;
      end
    end % FINISHED idec CHECK

    k=k+1; %NEXT CONFIGURATION
    
  end %WHILE NSUCC<NSUCCLIMIT OR k<=NCONFIG 
  
  if nsucc==0
      break;
  end
  chi(j)=chisq0;
  disp(sprintf(' ** TEMP = %1.8f' ,t));
  disp(sprintf(' ** CHISQ= %1.8f' ,chisq0));
  disp(sprintf(' ** NSUCC= %d' ,nsucc));
  t=t*tfactr;
end   %FOR j=1:ntrials

%b0(1)=b(1);
%b0(2)=b(2);
disp(sprintf(' ** FINAL NO. OF SUCC = %d' ,nsucc));
for h=1:ngauss
  b0(h)=b(h);
  disp(sprintf(' => MU(%d) = %1.2f' ,h,mu(h)));
  disp(sprintf(' => SD(%d) = %1.2f' ,h,sd(h)));
  disp(sprintf(' => B(%d)  = %1.2f' ,h,b0(h)));
end